Enable Decision Engine Message
curl --request POST \
--url https://api.hightouch.com/api/v1/decision-engine/flow/{flowId}/messages/{messageId}/enable \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hightouch.com/api/v1/decision-engine/flow/{flowId}/messages/{messageId}/enable"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hightouch.com/api/v1/decision-engine/flow/{flowId}/messages/{messageId}/enable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/decision-engine/flow/{flowId}/messages/{messageId}/enable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/decision-engine/flow/{flowId}/messages/{messageId}/enable"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hightouch.com/api/v1/decision-engine/flow/{flowId}/messages/{messageId}/enable")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/decision-engine/flow/{flowId}/messages/{messageId}/enable")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"channelId": "<string>",
"config": {},
"tags": {},
"guardrails": {
"maxSendsPerUser": 123,
"maxSendsPerUserWindowDays": 123,
"minOtherMessagesInBetween": 123,
"firstEligibleSendDate": "<string>",
"lastEligibleSendDate": "<string>"
},
"settings": {
"maxSendsPerUser": 123,
"maxSendsPerUserWindowDays": 123,
"minOtherMessagesInBetween": 123,
"firstEligibleSendDate": "<string>",
"lastEligibleSendDate": "<string>",
"eligibilityFilter": "<unknown>",
"eligibleScheduleVariants": [
{
"day": "sunday",
"time": "midnight"
}
],
"attributionCampaignIds": [
"<string>"
]
},
"state": {
"enabled": true,
"status": "draft",
"disabledAt": "2023-11-07T05:31:56Z",
"audienceSize": 123,
"audienceSizeComputedAt": "2023-11-07T05:31:56Z"
},
"content": "<string>",
"variables": [
{
"name": "<string>",
"variants": [
{
"value": "<string>",
"tags": {},
"firstEligibleSendDate": "<string>",
"lastEligibleSendDate": "<string>",
"userAudienceFilter": "<unknown>",
"localeValues": {}
}
],
"config": {
"localizationEnabled": true,
"maxSendsPerUserWindowDays": 123,
"maxSendsPerUser": 123
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>"
}API Reference
Enable Decision Engine Message
Enable a message in a flow so the flow can recommend it
POST
/
decision-engine
/
flow
/
{flowId}
/
messages
/
{messageId}
/
enable
Enable Decision Engine Message
curl --request POST \
--url https://api.hightouch.com/api/v1/decision-engine/flow/{flowId}/messages/{messageId}/enable \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hightouch.com/api/v1/decision-engine/flow/{flowId}/messages/{messageId}/enable"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hightouch.com/api/v1/decision-engine/flow/{flowId}/messages/{messageId}/enable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/decision-engine/flow/{flowId}/messages/{messageId}/enable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/decision-engine/flow/{flowId}/messages/{messageId}/enable"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hightouch.com/api/v1/decision-engine/flow/{flowId}/messages/{messageId}/enable")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/decision-engine/flow/{flowId}/messages/{messageId}/enable")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"channelId": "<string>",
"config": {},
"tags": {},
"guardrails": {
"maxSendsPerUser": 123,
"maxSendsPerUserWindowDays": 123,
"minOtherMessagesInBetween": 123,
"firstEligibleSendDate": "<string>",
"lastEligibleSendDate": "<string>"
},
"settings": {
"maxSendsPerUser": 123,
"maxSendsPerUserWindowDays": 123,
"minOtherMessagesInBetween": 123,
"firstEligibleSendDate": "<string>",
"lastEligibleSendDate": "<string>",
"eligibilityFilter": "<unknown>",
"eligibleScheduleVariants": [
{
"day": "sunday",
"time": "midnight"
}
],
"attributionCampaignIds": [
"<string>"
]
},
"state": {
"enabled": true,
"status": "draft",
"disabledAt": "2023-11-07T05:31:56Z",
"audienceSize": 123,
"audienceSizeComputedAt": "2023-11-07T05:31:56Z"
},
"content": "<string>",
"variables": [
{
"name": "<string>",
"variants": [
{
"value": "<string>",
"tags": {},
"firstEligibleSendDate": "<string>",
"lastEligibleSendDate": "<string>",
"userAudienceFilter": "<unknown>",
"localeValues": {}
}
],
"config": {
"localizationEnabled": true,
"maxSendsPerUserWindowDays": 123,
"maxSendsPerUser": 123
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the flow
The UUID of the message
Response
Ok
Decision Engine Message (Public API)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Guardrail fields on a message (max sends, eligibility dates, etc.)
Show child attributes
Show child attributes
The settings of a message within a flow: eligibility and send limits
Show child attributes
Show child attributes
The state of a message within a flow
Show child attributes
Show child attributes
Message body. Only raw channel messages have content.
Show child attributes
Show child attributes
Was this page helpful?